org.apache.ignite.internal.processors.cache.persistence.tree.io

## Class DataPagePayload

- java.lang.Object
- - org.apache.ignite.internal.processors.cache.persistence.tree.io.DataPagePayload

    public class DataPagePayload
    extends Object

### Method Summary

Methods
`long` `nextLink()`
`int` `offset()`
`int` `payloadSize()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### offset

    public int offset()

Returns:
  Offset.

#### payloadSize

    public int payloadSize()

Returns:
  Payload size.

#### nextLink

    public long nextLink()

Returns:
  Link to the next fragment or `0` if it is the last fragment or the data row is not fragmented.

2017 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.2.0
Release Date | : September 15 2017